/**
 * AppIndexView 部件模型
 *
 * @export
 * @class AppIndexViewModel
 */
export default class AppIndexViewModel {

    /**
     * 菜单项集合
     *
     * @private
     * @type {any[]}
     * @memberof AppIndexViewModel
     */
    private items: any[] = [
        {
	id: '801bacb689744f3de00c39b84618cbf5',
	name: 'menuitem1',
	text: '机构管理',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '机构管理',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto1',
	resourcetag: '',
},
        {
	id: 'edcf745c76c1c398b5e5511586f4e4c8',
	name: 'menuitem2',
	text: '人员管理',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '人员管理',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto2',
	resourcetag: '',
},
        {
	id: 'e5ea114a77b3dedd12fbbceadd94bb67',
	name: 'menuitem3',
	text: '厂牌型号',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '厂牌型号',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto3',
	resourcetag: '',
},
        {
	id: 'e79e26ef3066c5f75f4c33d971b68636',
	name: 'menuitem4',
	text: '交强险报价',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '交强险报价',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto4',
	resourcetag: '',
},
        {
	id: 'fed5764c659013ead35f39d5be6c8bcc',
	name: 'menuitem5',
	text: '商业险报价',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '商业险报价',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto5',
	resourcetag: '',
},
    ];

	/**
	 * 应用功能集合
	 *
	 * @private
	 * @type {any[]}
	 * @memberof AppIndexViewModel
	 */
	private funcs: any[] = [
	];

    /**
     * 获取所有菜单项集合
     *
     * @returns {any[]}
     * @memberof AppIndexViewModel
     */
    public getAppMenuItems(): any[] {
        return this.items;
    }

    /**
     * 获取所有应用功能集合
     *
     * @returns {any[]}
     * @memberof AppIndexViewModel
     */
    public getAppFuncs(): any[] {
        return this.funcs;
    }
}